﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;


namespace RadControlsWpfApp1
{
    class ViewModel : INotifyPropertyChanged
    {

        string htmlText;
        public string HtmlText
        {
            get { return htmlText; }
            set
            {
                if (htmlText != value)
                {
                    htmlText = value;
                    NotifyPropertyChanged("HtmlText");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        public void NotifyPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }
}
